Subject: bug#10387: CODE wishlist: search-prop.el

From: Drew Adams <[email-masked]>
Date: Sat, 23 Nov 2013 09:35:59 -0800 (PST)

I was not aware of this bug thread - just came across it when scanning
the list of patch bugs that Glenn pointed to in emacs-devel today.

I only skimmed this thread, so ignore if my input is not relevant.

I have a library, with almost the same name, isearch-prop.el, which
lets you isearch zones of text having certain text or overlay
properties.

If useful and appropriate, you can add this code or similar to Emacs.
The code is here:
http://www.emacswiki.org/emacs-en/download/isearch-prop.el.

As I wrote in a mail to Juri a while back:

By default, the zones not being searched are dimmed a bit.
`C-M-~' toggles, to search the zones that do *not* have the
particular property values.  For example, with a command such as
`isearchp-imenu-command', which normally searches Emacs-Lisp
command definitions (after putting a property on them),
`C-M-~' makes it search all text other than command definitions.